#ifndef CHARACTER_H
#define CHARACTER_H

#include <QList>
#include <QFile>

using namespace std;

class Character{
private:
    QString nom;
    int age;
    QString race;
    QString classe;
    int niveau;
    QString sexe;
    float taille;
    int vie;
    QString image;
    QString texteBlocNote;
    QString texteBackPack;
    QList<int> skills;
    QList<int> skillsMod;
    QList<int> stats;

public:
    Character();
    Character(QFile *file);

    QString getImage(){return image;}
    QString getNom(){return nom;}
    int getAge(){return age;}
    QString getRace(){return race;}
    QString getClasse(){return classe;}
    int getNiveau(){return niveau;}
    QString getSexe(){return sexe;}
    float getTaille(){return taille;}
    int getVie(){return vie;}
    QString getTexteBlocNote(){return texteBlocNote;}
    QString getTexteBackPack(){return texteBackPack;}
    QList<int> getSkills(){return skills;}
    QList<int> getSkillsMod(){return skillsMod;}
    QList<int> getStats(){return stats;}

    void setImage(QString i){image = i;}
    void setNom(QString n){nom = n;}
    void setAge(int a){age = a;}
    void setRace(QString r){race = r;}
    void setClasse(QString c){classe = c;}
    void setNiveau(int n){niveau = n;}
    void setSexe(QString s){sexe = s;}
    void setTaille(float t){taille = t;}
    void setVie(int v){vie = v;}
    void setTexteBlocNote(QString bN){texteBlocNote = bN;}
    void setTexteBackPack(QString bP){texteBackPack = bP;}
    void setSkills(QList<int> sk){skills = sk;}
    void setSkillsMod(QList<int> skM){skillsMod = skM;}
    void setStats(QList<int> st){stats = st;}

};

#endif // CHARACTER_H
